import request from '@/utils/request.js'

// 机械作业-任务列表
export function machineWorkRecord(params) {
	return request({
		url: '/system/workPlan/machineWorkRecord',
		method: 'POST', 
		params
	})
}


// 转运作业-任务列表
export function transportWorkRecord(params) {
	return request({
		url: '/system/workPlan/transportWorkRecord',
		method: 'POST', 
		params
	})
}

// 收运作业-任务列表
export function collectionWorkRecord(params) {
	return request({
		url: '/system/workPlan/collectionWorkRecord',
		method: 'POST', 
		params
	})
}

// 车辆作业轨迹-作业情况
export function trackInfo(params) {
	return request({
		url: '/system/work/vehicleTrack/trackInfo',
		method: 'POST', 
		params
	})
}

// 车辆作业轨迹信息
export function workTrackInfoRecord(params) {
	return request({
		url: '/metadata/flatWork/workTrackInfoRecord',
		method: 'POST', 
		params
	})
}